//
// This demo shows how to load data from a csv file and how to read it.
//
// @author Pierre Dragicevic
//
void setup() {
  
  // Creates a new table from a csv file that uses ";" as separator and where the second line should be ignored.
  Table table = new Table("Camera.csv", ";", new int[]{2});

  // Reads two cell values from the table
  final int cameraNamesColumn = table.getColumnIndex("Model");
  final int releaseDatesColumn = table.getColumnIndex("Release date");
  print("The first camera in the dataset is " + table.get(cameraNamesColumn, 0));
  println(" and has been released in " + table.getInt(releaseDatesColumn, 0));

  // Extracts a whole column as an array of integers. Use this method or getColumnAsFloats() if
  // you need to read numerical cell values multiple times, because it is much faster than getInt() or getFloat().
  int[] releaseDates = table.getColumnAsInts(releaseDatesColumn);
  println("Camera release dates are between " + min(releaseDates) + " and " + max(releaseDates));
  
}

